Documentation · API reference
DELETE/api/v1/sites/{site}/snapshots

Remove the copies of a page

Remove the copies of a page.

Parameters

sitein the address
neededA site's id or name
pathin the query
neededThe page's path

The answer

Status 204

Asking

With your token from Settings
curl -X DELETE "https://tidekeeper.eu/api/v1/sites/example.org/snapshots?path=…" \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/snapshots?path=…", {
  method: "DELETE",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());